> ## Documentation Index
> Fetch the complete documentation index at: https://developer.trackpilots.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch All Categories

> Retrieve all available app and website productivity categories for the organisation.




## OpenAPI

````yaml /openapi.yaml get /v1/settings/category
openapi: 3.1.0
info:
  title: Trackpilots API & Webhooks
  version: 1.1.0
  description: >
    Trackpilots REST APIs and Webhook events.

    Webhooks are sent by the Trackpilots desktop agent to customer-configured
    endpoints.

    Clients only send `secret_key`. All other fields are generated by the
    server.
servers:
  - url: https://api.trackpilots.com
    description: Production server
security: []
tags:
  - name: Teams
    description: Team management APIs
  - name: Settings
    description: Organisation and team settings management APIs
  - name: Desktop Events
    description: Desktop agent webhook events
paths:
  /v1/settings/category:
    get:
      tags:
        - Settings
      summary: Fetch All Categories
      description: >
        Retrieve all available app and website productivity categories for the
        organisation.
      responses:
        '200':
          description: All work categories retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/200FetchAllCategoriesSuccessResponse'
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '500':
          $ref: '#/components/responses/InternalServerError'
      security:
        - BearerAuth: []
components:
  schemas:
    200FetchAllCategoriesSuccessResponse:
      type: object
      properties:
        success:
          type: boolean
          example: true
        statusCode:
          type: integer
          example: 200
        statusMessage:
          type: string
          example: All work categories retrieved successfully
        error:
          type: object
          nullable: true
          example: null
        data:
          type: array
          items:
            type: object
            properties:
              categoryName:
                type: string
                example: Analytics Apps
              categoryColor:
                type: string
                description: Hex color code representing the category
                example: '#FF5733'
          example:
            - categoryName: Analytics Apps
              categoryColor: '#FF5733'
            - categoryName: Book Keeping
              categoryColor: '#33FF57'
            - categoryName: Calendar Meetings
              categoryColor: '#3357FF'
            - categoryName: Calls
              categoryColor: '#FF33A1'
            - categoryName: Communication
              categoryColor: '#A133FF'
            - categoryName: Content Writing and Marketing
              categoryColor: '#FF8C00'
            - categoryName: Customer Support
              categoryColor: '#FFC300'
            - categoryName: Design
              categoryColor: '#900C3F'
            - categoryName: Developer Tools
              categoryColor: '#581845'
            - categoryName: Digital Marketing
              categoryColor: '#008080'
            - categoryName: Engineering Tools
              categoryColor: '#4682B4'
            - categoryName: Finance
              categoryColor: '#FF4500'
            - categoryName: Learning
              categoryColor: '#FFD700'
            - categoryName: Marketing
              categoryColor: '#FA8072'
            - categoryName: MS Office Tools
              categoryColor: '#808000'
            - categoryName: Office Tools
              categoryColor: '#708090'
            - categoryName: Other
              categoryColor: '#D2691E'
            - categoryName: Project Management
              categoryColor: '#A52A2A'
            - categoryName: Sales
              categoryColor: '#9932CC'
            - categoryName: Security & Compliance
              categoryColor: '#FF6347'
            - categoryName: SEO Analytics
              categoryColor: '#20B2AA'
            - categoryName: Social Media Apps
              categoryColor: '#DC143C'
            - categoryName: Software Development
              categoryColor: '#FFD700'
            - categoryName: Unknown Category
              categoryColor: '#002569'
            - categoryName: Unethical Apps
              categoryColor: '#8B0000'
            - categoryName: Voice & Video
              categoryColor: '#7FFF00'
            - categoryName: Work
              categoryColor: '#8A2BE2'
    ErrorResponse:
      type: object
      properties:
        success:
          type: boolean
          example: false
        statusCode:
          type: integer
          format: int32
          example: 401
        statusMessage:
          type: string
          example: Authentication failed
        data:
          nullable: true
          example: null
        error:
          type: object
          properties:
            message:
              type: string
              example: Authorization header is missing
            code:
              type: string
              enum:
                - AUTHORIZATION_HEADER_MISSING
                - INVALID_API_KEY_SCHEMA
                - API_KEY_MISSING
                - INVALID_API_KEY
                - PLAN_EXPIRED
              example: AUTHORIZATION_HEADER_MISSING
    InternalServerError:
      allOf:
        - $ref: '#/components/schemas/BaseError'
        - type: object
          properties:
            statusCode:
              example: 500
            statusMessage:
              example: Internal server error
            error:
              type: object
              properties:
                message:
                  example: Some technical error has occurred !!
                code:
                  example: UNKNOWN_SERVER_ERROR
    BaseError:
      type: object
      properties:
        success:
          type: boolean
          example: false
        statusCode:
          type: integer
        statusMessage:
          type: string
        data:
          nullable: true
          example: null
        error:
          type: object
          properties:
            message:
              type: string
            code:
              type: string
  responses:
    UnauthorizedError:
      description: Authentication & Authorization errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          examples:
            authorizationHeaderMissing:
              summary: Authorization header missing
              value:
                success: false
                statusCode: 401
                statusMessage: Authentication token header is missing
                data: null
                error:
                  message: Authorization header is missing
                  code: AUTHORIZATION_HEADER_MISSING
            invalidAuthorizationScheme:
              summary: Invalid authorization scheme
              value:
                success: false
                statusCode: 401
                statusMessage: Invalid authentication token schema
                data: null
                error:
                  message: Authorization header must start with 'Bearer'
                  code: INVALID_API_KEY_SCHEMA
            apiKeyMissing:
              summary: API key missing
              value:
                success: false
                statusCode: 401
                statusMessage: Authentication token is missing
                data: null
                error:
                  message: API key value is missing
                  code: API_KEY_MISSING
            invalidApiKey:
              summary: Invalid or inactive API key
              value:
                success: false
                statusCode: 401
                statusMessage: Authentication failed
                data: null
                error:
                  message: Provided API key is invalid or inactive
                  code: INVALID_API_KEY
            planExpired:
              summary: Upgrade required
              value:
                success: false
                statusCode: 401
                statusMessage: Upgrade required
                data: null
                error:
                  message: Upgrade required to use Trackpilots APIs
                  code: PLAN_EXPIRED
    InternalServerError:
      description: Internal server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/InternalServerError'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````